# Console-Blackjack

Console Blackjack written in Raku

## Features

* Alternate Deck Types
* Variable Number of Decks
* Hand Splitting
* Vegas-style Dealer Play (Dealer hits on soft 16)
* Options Saving

## Install using zef:

```shell
zef install Console::Blackjack
```

## Run

```shell
console-blackjack
```

## Increase your terminal font size for a better view:

![Blackjack](https://raw.githubusercontent.com/gdonald/Console-Blackjack/master/ss1.png)

![Blackjack](https://raw.githubusercontent.com/gdonald/Console-Blackjack/master/ss2.png)

## From source

If you've cloned the git repository you can run it like this:

```shell
raku -Ilib bin/console-blackjack
```
## Status

[![.github/workflows/raku.yml](https://github.com/gdonald/Console-Blackjack/workflows/.github/workflows/raku.yml/badge.svg)](https://github.com/gdonald/Console-Blackjack/actions)

## Bugs / Issues / Feature Requests 

[https://github.com/gdonald/Console-Blackjack/issues](https://github.com/gdonald/Console-Blackjack/issues)

## License

[![GitHub](https://img.shields.io/github/license/gdonald/Console-Blackjack?color=aa0000)](https://github.com/gdonald/Console-Blackjack/blob/master/LICENSE)

## Alternative Implementations:

I've written Blackjack in several other languages:

- [Ruby](https://github.com/gdonald/console-blackjack-ruby)
- [Rust](https://github.com/gdonald/console-blackjack-rust)
- [Typescript](https://github.com/gdonald/blackjack-js)
- [Perl](https://github.com/gdonald/console-blackjack-perl)
- [C](https://github.com/gdonald/blackjack-c)
- [C++](https://github.com/gdonald/blackjack-cpp)
- [Crystal](https://github.com/gdonald/blackjack-cr)
- [Go](https://github.com/gdonald/blackjack-go)
- [Elixir](https://github.com/gdonald/blackjack-ex)
- [Python](https://github.com/gdonald/blackjack-py)
- [C with SDL](https://github.com/gdonald/blackjack-c-sdl)
- [Emacs Lisp](https://github.com/gdonald/blackjack-el)

